Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.data.functions
Class QueryConfig

    java.lang.Object
      com.endeca.portal.data.functions.QueryFunction
          com.endeca.portal.data.functions.QueryConfig

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AnalyticsQueryConfig, AttributeValueSearchConfig, BreadcrumbsConfig, ExposeRefinement, NavConfig, ResultsConfig, ResultsSummaryConfig, SearchAdjustmentsConfig, SearchKeysConfig, SortConfig

    public abstract class QueryConfig

extends QueryFunction

A subclass of QueryFunction. QueryConfig subclass instances should not in any way restrict the resulting record set. This class modifies the configuration of the results returned. This includes functions such as paging, sorting, exposing refinements, and setting the number of results returned. For MDEX7, it also includes the set of configs that define which content elements to return (Breadcrumbs, Navigation, ResultList). QueryConfig instances are never saved to the global QueryState, and must be applied before each query. QueryConfig instances should not/are not required to be serialized to or from JSON. This is not strictly enforced right now, but may be in a later release.

See Also:
  `QueryFilter`, Serialized Form

Field Summary
`protected java.lang.String` | `id` The QueryConfig id is used in MDEX7 to identify the returned content element

Fields inherited from class com.endeca.portal.data.functions.QueryFunction
`CLASS_PROPERTY`

Constructor Summary
`QueryConfig()`

Method Summary
`java.lang.String` | `getId()` Retrieve this config function's id.
`void` | `setId(java.lang.String id)` Set this config function's id.

Methods inherited from class com.endeca.portal.data.functions.QueryFunction
`applyToDiscoveryServiceQuery, applyToENEQuery, clone, equals, equals, getGetters, getInstance, getInstance, getName, getSetters, hashCode, init, setName, toJSON, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

  The QueryConfig id is used in MDEX7 to identify the returned content element

Constructor Detail

### QueryConfig

    public QueryConfig()

Method Detail

### getId

    public java.lang.String getId()

  Retrieve this config function's id.

  Returns:
    The id of this configuration function

### setId

    public void setId(java.lang.String id)

  Set this config function's id.

  Parameters:
    `id` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD